from setuptools import setup, Extension
import platform

extra_compile_args = []
extra_link_args = []

# Set C++17 flag based on the compiler
if platform.system() == "Windows":
    extra_compile_args.append('/std:c++17')
else:
    extra_compile_args.append('-std=c++17')

tree_structurer_module = Extension(
    'tree_structurer._tree_structurer',
    sources=['tree_structurer/cpp/bindings.cpp', 'tree_structurer/cpp/tree_structurer.cpp'],
    include_dirs=['tree_structurer/cpp'],
    extra_compile_args=extra_compile_args,
    extra_link_args=extra_link_args,
)

setup(
    name='tree_structurer',
    version='0.0.6',
    description='A module for analyzing directory structures',
    ext_modules=[tree_structurer_module],
    packages=['tree_structurer'],
)